# Start a cart in a currency and country

`POST /shop/carts` · Rivier · shop

Start a cart in a currency and country.

- Scope: shop:write
- Mcp: rivier_shop_cart_create
- Graphql: Mutation.createShopCart
- Sdk: shop.cart.create
- Cli: shop cart create

## Request body

`application/json`

```json
{
  "type": "object",
  "properties": {
    "currency": {
      "type": "string",
      "pattern": "^[a-z]{3}$"
    },
    "country": {
      "anyOf": [
        {
          "type": "string",
          "pattern": "^[A-Z]{2}$"
        },
        {
          "type": "string",
          "const": ""
        }
      ],
      "default": ""
    },
    "channel": {
      "type": "string",
      "maxLength": 40,
      "default": "storefront"
    }
  },
  "required": [
    "currency"
  ],
  "additionalProperties": false
}
```

## Responses

- `201`: Success
- `400`: The request was malformed
- `401`: No valid credential
- `403`: The credential lacks the scope, origin or address
- `429`: Over the key's rate limit; see Retry-After

## Example

```sh
curl -X POST 'https://api.rivier.ai/shop/carts' \
  -H 'Authorization: Bearer $KEY' \
  -H 'Content-Type: application/json' \
  -d '{
  "currency": "string"
}'
```
